%define name udev-extras
%define version 20090226
%define git 20090315
%define rel 1
%if %git
%define release %mkrel 0.%{git}.%{rel}
%else
%define release %mkrel %{rel}
%endif

%define lib_udev_dir /lib/udev
%define system_rules_dir %{lib_udev_dir}/rules.d

%define git_url git://git.kernel.org/pub/scm/linux/hotplug/udev-extras.git

Summary: Extra rules and tools for udev
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}-git%{git}.tar.bz2
License: GPLv2 and GPLv2+
Group: System/Configuration/Hardware

URL: http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires: glib2-devel
BuildRequires: libusb-devel
BuildRequires: libxslt-proc
BuildRequires: udev-devel >= 138

%description
The udev-extras package contains an additional rules and tools
to create and identify devices.

%prep
%setup -q -n %{name}

%build
sh autogen.sh -V
%configure2_5x \
  --prefix=%{_prefix} \
  --exec-prefix="" \
  --sysconfdir=%{_sysconfdir} \
  --with-libdir-name=%{_lib} \
  --sbindir="/sbin"
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# Don't install modem prober for now; that's handled by NM at this time and
# in the future will be handled by ModemManager instead
rm -f %{buildroot}%{lib_udev_dir}/modem-probe
rm -f %{buildroot}%{_mandir}/man8/modem-probe*.8*
rm -f %{buildroot}%{system_rules_dir}/77-probe-modem-capabilities.rules

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%attr(0755,root,root) %{lib_udev_dir}/modem-modeswitch
%attr(0755,root,root) %{lib_udev_dir}/pci-db
%attr(0755,root,root) %{lib_udev_dir}/usb-db
%attr(0644,root,root) %{system_rules_dir}/*.rules
%attr(0644,root,root) %{_mandir}/man8/modem-modeswitch*.8*



%changelog
* Thu Mar 19 2009 Colin Guthrie <cguthrie@mandriva.org> 20090226-0.20090315.1mdv2009.1
+ Revision: 357880
- import udev-extras


